## lomiri-notifications 1.3.0~git20221006.bbc9b92

=== CMakeLists.txt ===
project(notification-server C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(SONAME 1)
set(VERSION 1.0)
set(SOVERSION 1.0.0)

if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

option(private_dbus "Use private dbus namespace to prevent clashes during development." OFF)
option(ENABLE_UBUNTU_COMPAT "Enable compatibility with deprecated hints from Ubuntu" OFF)

include(cmake/coverage.cmake)
include(FindPkgConfig)
include (GNUInstallDirs)

add_definitions(-DQT_NO_KEYWORDS)
if(ENABLE_UBUNTU_COMPAT)
add_definitions(-DUBUNTU_HINT_COMPAT)
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Werror -Wextra")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -Werror -Wextra")
set(CMAKE_CXX_STANDARD 11)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Widgets REQUIRED)
include_directories(${Qt5Widgets_INCLUDE_DIRS})

# Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

include_directories("include")
include_directories("${CMAKE_BINARY_DIR}/include")
include_directories("src")
include_directories("${CMAKE_BINARY_DIR}/src")

add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(tools)

# Disabled this until trunks of both Lomiri and notifications
# have been updated to work together.

##find_program(qmltestrunner_exe qmltestrunner)
##
##if(NOT qmltestrunner_exe)
##  message(FATAL_ERROR "Could not locate qmltestrunner.")
##endif()
##
##macro(add_qml_test COMPONENT_NAME)
##    set(options NO_ADD_TEST NO_TARGETS)
##
##    cmake_parse_arguments(qmltest "${options}" "IMPORT_PATH" "TARGETS" ${ARGN})
##
##    set(qmltest_TARGET test${COMPONENT_NAME})
##    set(qmltest_FILE tst_${COMPONENT_NAME})
##
##    if("${qmltest_IMPORT_PATH}" STREQUAL "")
##        add_custom_target(${qmltest_TARGET}
##            ${qmltestrunner_exe}  -input ${CMAKE_CURRENT_SOURCE_DIR}/${qmltest_FILE}.qml
##                          -o ${CMAKE_BINARY_DIR}/${qmltest_TARGET}.xml,xunitxml
##                          -o -,txt)
##    else()
##        add_custom_target(${qmltest_TARGET}
##            ${qmltestrunner_exe} -input ${CMAKE_CURRENT_SOURCE_DIR}/${qmltest_FILE}.qml
##                          -import ${qmltest_IMPORT_PATH}
##                          -o ${CMAKE_BINARY_DIR}/${qmltest_TARGET}.xml,xunitxml
##                          -o -,txt)
##    endif()
##
##    if(NOT "${qmltest_UNPARSED_ARGUMENTS}" STREQUAL "")
##        set_target_properties(${qmltest_TARGET} ${qmltest_PROPERTIES})
##    elseif(NOT "${qmltest_DEFAULT_PROPERTIES}" STREQUAL "")
##        set_target_properties(${qmltest_TARGET} ${qmltest_DEFAULT_PROPERTIES})
##    endif()
##
##    if("${qmltest_NO_ADD_TEST}" STREQUAL FALSE AND NOT "${qmltest_DEFAULT_NO_ADD_TEST}" STREQUAL "TRUE")
##        add_test(${qmltest_TARGET} make ${qmltest_TARGET})
##
##        if(NOT "${qmltest_UNPARSED_ARGUMENTS}" STREQUAL "")
##            set_tests_properties(${qmltest_TARGET} ${qmltest_PROPERTIES})
##        elseif(NOT "${qmltest_DEFAULT_PROPERTIES}" STREQUAL "")
##            set_tests_properties(${qmltest_TARGET} ${qmltest_DEFAULT_PROPERTIES})
##        endif()
##    endif("${qmltest_NO_ADD_TEST}" STREQUAL FALSE AND NOT "${qmltest_DEFAULT_NO_ADD_TEST}" STREQUAL "TRUE")
##
##    if("${qmltest_NO_TARGETS}" STREQUAL "FALSE")
##        if(NOT "${qmltest_TARGETS}" STREQUAL "")
##            foreach(TARGET ${qmltest_TARGETS})
##                add_dependencies(${TARGET} ${qmltest_TARGET})
##            endforeach(TARGET)
##        elseif(NOT "${qmltest_DEFAULT_TARGETS}" STREQUAL "")
##            foreach(TARGET ${qmltest_DEFAULT_TARGETS})
##                add_dependencies(${TARGET} ${qmltest_TARGET})
##            endforeach(TARGET)
##        endif()
##    endif("${qmltest_NO_TARGETS}" STREQUAL "FALSE")
##endmacro()

enable_testing()
add_subdirectory(test)

=== debian/changelog ===
lomiri-notifications (1.3.0~git20221006.bbc9b92-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021369).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Oct 2022 14:01:01 +0200

=== debian/control ===
Source: lomiri-notifications
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               qtdeclarative5-dev,
               qtbase5-dev-tools,
               liblomiri-api-dev (>= 0.1.1),
               libqtdbustest1-dev,
# For Qml tests
               qml-module-qtquick2,
               qml-module-qttest,
               qtchooser,
               qtdeclarative5-dev-tools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-notifications
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-notifications.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-notifications/

Package: qml-module-lomiri-notifications
Provides: lomiri-notifications-impl,
          lomiri-notifications-impl-3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Lomiri Notifications - QML module
 Lomiri's implementation of a Free Desktop Notification server. It also
 provides some additional features as needed on alternative platforms,
 such as mobile.
 .
 Since the shell is implemented in QML, this functionality is implemented
 as a QML plugin. Notification status is provided as a
 QAbstractListModel, making integration simple. The exact form of the API
 is defined by the shell, Lomiri notifications only implements it.
 .
 Lomiri notifications does not and will not provide a C/C++ API for
 sending or receiving notifications. It is QML only.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.3.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-notifications \
HEAD debian uupdate

## lomiri-notifications 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(notification-server C CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-notifications VERSION 1.3.0 LANGUAGES C CXX)
 
 set(SONAME 1)
-set(VERSION 1.0)
 set(SOVERSION 1.0.0)
 
 if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)

=== src/CMakeLists.txt ===
pkg_check_modules(NOTIFICATIONS_API REQUIRED lomiri-shell-notifications=3)

set(CORE_SRCS
ActionModel.cpp
../include/ActionModel.h
DBusTypes.cpp
../include/DBusTypes.h
Notification.cpp
../include/Notification.h
NotificationModel.cpp
../include/NotificationModel.h
NotificationServer.cpp
../include/NotificationServer.h
NotificationClient.cpp
../include/NotificationClient.h
${NOTIFICATIONS_API_INCLUDEDIR}/lomiri/shell/notifications/ModelInterface.h
)

set_source_files_properties(
    "org.freedesktop.Notifications.xml"
    PROPERTIES
    NO_NAMESPACE YES
    INCLUDE "DBusTypes.h"
)

qt5_add_dbus_adaptor(
    CORE_SRCS
    "org.freedesktop.Notifications.xml"
    NotificationServer.h
    NotificationServer
    NotificationsAdaptor
)

qt5_add_dbus_interface(
    CORE_SRCS
    "org.freedesktop.Notifications.xml"
    NotificationsInterface
)

add_library(notifybackend STATIC
${CORE_SRCS}
)

add_library(notifyplugin MODULE
NotificationPlugin.cpp
../include/NotificationPlugin.h
)

set_target_properties(notifyplugin PROPERTIES
  SOVERSION ${SONAME}
  VERSION ${SOVERSION}
)

target_link_libraries(
  notifyplugin
  notifybackend
)

add_library(notifyclientplugin MODULE
NotificationClientPlugin.cpp
../include/NotificationClientPlugin.h
NotificationClient.cpp
../include/NotificationClient.h
)

set_target_properties(notifyclientplugin PROPERTIES
  SOVERSION ${SONAME}
  VERSION ${SOVERSION}
)

target_link_libraries(
  notifyclientplugin
  notifybackend
)

qt5_use_modules(notifybackend Widgets DBus Qml)

execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix lomiri-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
if(SHELL_INSTALL_QML STREQUAL "")
    message(FATAL_ERROR "Could not determine plugin installation dir.")
endif()
 
execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir lomiri-shell-api OUTPUT_VARIABLE SHELL_PLUGINDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
if(SHELL_PLUGINDIR STREQUAL "")
    message(FATAL_ERROR "Could not determine plugin import dir.")
endif()

install(
  TARGETS notifyplugin notifyclientplugin
  ARCHIVE DESTINATION ${SHELL_PLUGINDIR}/Lomiri/Notifications
  LIBRARY DESTINATION ${SHELL_PLUGINDIR}/Lomiri/Notifications
)

install(FILES qmldir
  DESTINATION ${SHELL_INSTALL_QML}/Lomiri/Notifications
)

=== test/CMakeLists.txt ===
function(add_notification_test NAME)
    add_executable(${NAME} "${NAME}.cpp")

    target_link_libraries(${NAME}
        notifybackend
        ${QTDBUSTEST_LDFLAGS}
    )

    qt5_use_modules(${NAME}
        Core
        DBus
        Gui
        Qml
        Test
        Widgets
    )

    add_test(${NAME} ${NAME})

    set_tests_properties(${NAME} PROPERTIES
        ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )
endfunction()

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

set(DBUS_SERVER_BINARY "${CMAKE_BINARY_DIR}/tools/dbusserver")
add_definitions(-DDBUS_SERVER_BINARY="${DBUS_SERVER_BINARY}")

add_notification_test(notificationtest)
add_notification_test(notificationservertest)

# Disabled until frontend and backend are fully
# merged to respective trunks.
#add_qml_test(NotificationInterface)

=== tools/CMakeLists.txt ===
qt5_wrap_ui(GUI_HEADERS mainWindow.ui serverMainWindow.ui clientMainWindow.ui)

# Viewer app
############

add_executable(viewer
  viewer.cpp
  mainWindow.cpp
  mainWindow.h
  ${GUI_HEADERS}
)

qt5_use_modules(viewer Widgets)

target_link_libraries(viewer notifybackend)

# QMLtest app
#############

add_executable(qmltest
  qmltest.cpp
)

qt5_use_modules(qmltest
  Qml
  Quick
  DBus
  Widgets
)

target_link_libraries(qmltest notifybackend)

# DBus server app
#################

add_executable(dbusserver
  dbusserver.cpp
  serverMainWindow.cpp
  ${GUI_HEADERS}
)

qt5_use_modules(dbusserver
  Widgets
  DBus
)

target_link_libraries(dbusserver notifybackend)

# DBus client app
#################

add_executable(dbusclient
  dbusclient.cpp
  clientMainWindow.cpp
  ${GUI_HEADERS}
)

qt5_use_modules(dbusclient
  Widgets
  DBus
)

target_link_libraries(dbusclient notifybackend)

# Move files around
###################

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/Notifications
    DESTINATION ${CMAKE_BINARY_DIR}/tools
)

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/datatest.qml
    DESTINATION ${CMAKE_BINARY_DIR}/tools
)

=== debian/changelog ===
lomiri-notifications (1.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:31 +1100

lomiri-notifications (1.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:32 +0000

lomiri-notifications (1.3.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 1001_python3-in-examples-shebang.patch. Applied upstream.
    + Rebase 0001_copyright-headers-Use-uniform-spelling-of-Canonical-.patch.
  * debian/watch:
    + Start watching upstream releases.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 15:19:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-notifications
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),
@@ -16,7 +17,7 @@
                qml-module-qttest,
                qtchooser,
                qtdeclarative5-dev-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-notifications
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-notifications.git

## lomiri-notifications 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-notifications VERSION 1.3.0 LANGUAGES C CXX)
+project(lomiri-notifications VERSION 1.3.1 LANGUAGES C CXX)
 
 set(SONAME 1)
 set(SOVERSION 1.0.0)
@@ -36,6 +36,9 @@
 
 find_package(Qt5Widgets REQUIRED)
 include_directories(${Qt5Widgets_INCLUDE_DIRS})
+
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Test REQUIRED)
 
 # Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
 set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")

=== include/CMakeLists.txt ===
if(${private_dbus})
  set(PRIVATE_DBUS 1)
else()
  set(PRIVATE_DBUS 0)
endif()

configure_file(notify-backend.h.in notify-backend.h @ONLY)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
   notifybackend
 )
 
-qt5_use_modules(notifybackend Widgets DBus Qml)
+target_link_libraries(notifybackend Qt5::Widgets Qt5::DBus Qt5::Qml)
 
 execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=plugindir_suffix lomiri-shell-api OUTPUT_VARIABLE SHELL_INSTALL_QML OUTPUT_STRIP_TRAILING_WHITESPACE)
 if(SHELL_INSTALL_QML STREQUAL "")

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,12 @@
     target_link_libraries(${NAME}
         notifybackend
         ${QTDBUSTEST_LDFLAGS}
-    )
-
-    qt5_use_modules(${NAME}
-        Core
-        DBus
-        Gui
-        Qml
-        Test
-        Widgets
+        Qt5::Core
+        Qt5::DBus
+        Qt5::Gui
+        Qt5::Qml
+        Qt5::Test
+        Qt5::Widgets
     )
 
     add_test(${NAME} ${NAME})

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,10 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(viewer Widgets)
-
-target_link_libraries(viewer notifybackend)
+target_link_libraries(viewer
+  Qt5::Widgets
+  notifybackend
+)
 
 # QMLtest app
 #############
@@ -21,14 +22,13 @@
   qmltest.cpp
 )
 
-qt5_use_modules(qmltest
-  Qml
-  Quick
-  DBus
-  Widgets
+target_link_libraries(qmltest
+  Qt5::Qml
+  Qt5::Quick
+  Qt5::DBus
+  Qt5::Widgets
+  notifybackend
 )
-
-target_link_libraries(qmltest notifybackend)
 
 # DBus server app
 #################
@@ -39,12 +39,11 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(dbusserver
-  Widgets
-  DBus
+target_link_libraries(dbusserver
+  Qt5::Widgets
+  Qt5::DBus
+  notifybackend
 )
-
-target_link_libraries(dbusserver notifybackend)
 
 # DBus client app
 #################
@@ -55,12 +54,11 @@
   ${GUI_HEADERS}
 )
 
-qt5_use_modules(dbusclient
-  Widgets
-  DBus
+target_link_libraries(dbusclient
+  Qt5::Widgets
+  Qt5::DBus
+  notifybackend
 )
-
-target_link_libraries(dbusclient notifybackend)
 
 # Move files around
 ###################

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-notifications
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	# we already defines the flags through dpkg-buildflags, we don't need
	# thus to use relwithdebinfo, which is defining -DNDEBUG which are
	# breaking the tests
	dh_auto_configure -- -DCMAKE_BUILD_TYPE='' -DENABLE_UBUNTU_COMPAT=ON

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
